import { type InsightModel } from 'ts-common';
import { log } from '../../logger';

export function validateInsight(insight: InsightModel, force: boolean) {
  if (!insight || insight.userId == null || !insight.template || !insight.userId || !insight.saveStateId) {
    log.error('Invalid Insight received in insightProcessorConsumer:', insight);
    return false;
  }

  if (insight.alarmMode === 'disabled' && !force) {
    log.debug('Alarm mode is disabled', insight.id);
    return false;
  }

  if (!insight.recipients || insight.recipients.length === 0) {
    log.debug('No recipients found in the insight, skipping');
    return false;
  }

  return true;
}
